Uploaded image for project: 'Puppet Development Kit'
  1. Puppet Development Kit
  2. PDK-1139

PDK gives ansicon.exe error on Windows 10

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PDK 1.9.0
    • Component/s: DOCS
    • Environment:

      PDK local install Windows.

    • Template:
    • Method Found:
      Needs Assessment
    • Release Notes:
      Bug Fix
    • Release Notes Summary:
      The "ansicon" software embedded in the PDK on Windows platforms has been updated to the latest available version. This will hopefully address some PDK execution errors encountered on Windows 10.
    • QA Risk Assessment:
      Needs Assessment

      Description

      I am running Windows 10.  After installing PDK, I am able to run "pdk help".  However, when I run "pdk new module testmod" I get this error.  I installed PDK on a second Windows 10 computer where I am getting the same result.

      PS C:\Users\.......> pdk new module testmod
      ansicon.exe : pdk (INFO): Creating new module: testmod
      At C:\Program Files\WindowsPowerShell\Modules\PuppetDevelopmentKit\PuppetDevelopmentKit.psm1:14 char:5
      + &$env:DEVKIT_BASEDIR\private\tools\bin\ansicon.exe $env:RUBY_DIR\ ...
      + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
      + CategoryInfo : NotSpecified: (pdk (INFO): Creating new module: testmod:String) [], RemoteException
      + FullyQualifiedErrorId : NativeCommandError

        Attachments

          Activity

            People

            Assignee:
            jesse Jesse Scott
            Reporter:
            daniel.duplessis@telus.com Daniel DuPlessis
            Votes:
            1 Vote for this issue
            Watchers:
            4 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Zendesk Support